import Vue from 'vue';
import "../../../src/scss/header.scss";
export default Vue.extend({
  name: 'w-header',
  props: {
    title: String,
    fixed: {
      type: Boolean,
      default: true
    },
    backgroundColor: {
      type: String,
      default: '#21292c'
    }
  },
  methods: {
    onClick: function onClick(e) {
      e.stopPropagation();
      this.$emit('headerClick');
    }
  },
  render: function render() {
    var h = arguments[0];
    return h("header", {
      "class": {
        'wv-header': true,
        'is-fixed': this.fixed
      },
      "on": {
        "click": this.onClick
      },
      "style": {
        'background-color': this.backgroundColor
      }
    }, [h("div", {
      "class": "wv-header-btn left"
    }, [this.$slots.left]), h("div", {
      "class": "wv-header-title",
      "domProps": {
        "textContent": this.title
      }
    }), h("div", {
      "class": "wv-header-btn right"
    }, [this.$slots.right])]);
  }
});
//# sourceMappingURL=WHeader.js.map