// Utils
import mixins from "../../../lib/utils/mixins"; // Mixins

import Routeable from "../../../lib/mixins/routable";
export default mixins(Routeable).extend({
  name: 'w-tabbar-item',
  mixins: [Routeable],
  props: {
    isOn: Boolean
  },
  methods: {
    onClick: function onClick() {
      this.$emit('click');
      this.routeLink();
    }
  },
  render: function render() {
    var _this = this;

    var h = arguments[0];
    return h("div", {
      "class": {
        'weui-tabbar__item': true,
        'weui-bar__item_on': this.isOn
      },
      "on": {
        "click": function click() {
          _this.onClick();
        }
      }
    }, [this.$slots.icon, h("p", {
      "class": "weui-tabbar__label"
    }, [this.$slots.default])]);
  }
});
//# sourceMappingURL=WTabbarItem.js.map