// Mixins
import { factory as ToggleableFactory } from "../toggleable"; // Utils

import mixins from "../../../lib/utils/mixins";
export default mixins(ToggleableFactory('visible', 'update:visible')).extend({
  name: 'picker',
  props: {
    confirmText: {
      type: String,
      default: '确定'
    },
    cancelText: {
      type: String,
      default: '取消'
    },
    closeOnClickMask: {
      type: Boolean,
      default: true
    }
  },
  methods: {
    open: function open() {
      this.isActive = true;
    },
    close: function close() {
      this.isActive = false;
    }
  }
});
//# sourceMappingURL=index.js.map